Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PShape

Name

### isVisible()

Examples

    // The file "bot.svg" must be in the data folder
    // of the current sketch to load successfully
    PShape s;
    s = loadShape("bot.svg");
    smooth();
    shape(s, 10, 10, 80, 80);      // Right shape
    s.setVisible(false);
    if (s.isVisible() == false) {  // of if (!s.isVisible) {
      noFill();
      rect(5, 5, 90, 90);
    }

Description | Returns a boolean value "true" if the image is set to be visible, "false" if not. This is modified with the setVisible() parameter. The visibility of a shape is usually controlled by whatever program created the SVG file. For instance, this parameter is controlled by showing or hiding the shape in the layers palette in Adobe Illustrator.

Syntax

    sh.isVisible()

Parameters

sh | PShape: any variable of type PShape

Returns | none
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT